function get_list()
{
var url="../"+asp_php+"/liucheng_manage."+asp_php;
_gId("frame_blank").src=url;	
}
function show_list(s)
{
if(s=="")
{
document.body.insertAdjacentHTML("beforeEnd","<br><br>您还没有添加流程图,请点击“添加新流程”进行添加");
return;
}
var arr,arr1,trs="";
arr=s.split("|/tr|");
var tbs="<table id=list_tb width='100%'>";
for(var i=0;i<arr.length;i++)
{
if(arr[i].indexOf("|/td|")>-1)
{
arr1=arr[i].split("|/td|");
trs+="<tr id=tr_"+arr1[0]+">";
trs+="<td nowrap width='70%' title='添加于:"+arr1[2]+"'><a href='#ytd;' onclick=show("+arr1[0]+")>"+arr1[1]+"</a></td>";
trs+="<td nowrap><a href='#ytd;' onclick='edit("+arr1[0]+")'>编辑</a>&nbsp;|&nbsp;<a href='#ytd;' onclick='del("+arr1[0]+")'>删除</a></td></tr>";
}
}
tbs=tbs+trs+"</table>";
document.body.insertAdjacentHTML("beforeEnd",tbs);
}
function show(id)
{
_gId("frame_right",parent).src="liucheng_show.htm?exe=show&typ=0&liu_id="+id;
}
function edit(id)
{
_gId("frame_right",parent).src="liucheng.htm?exe=save&liu_id="+id
}
function del(id)
{
if(confirm("您确定要删除此流程吗?"))
{
var url="../"+asp_php+"/liucheng_manage.asp?exe=del&liu_id="+id
document.getElementById("frame_blank").src=url	
}
}
function del_ok(id)
{
document.getElementById("tr_"+id).removeNode(true);	
}